package type;
final public class IndexOutOfRangeHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.IndexOutOfRange value;

	public IndexOutOfRangeHolder ()
	{
	}
	public IndexOutOfRangeHolder (type.IndexOutOfRange initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return type.IndexOutOfRangeHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = type.IndexOutOfRangeHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		type.IndexOutOfRangeHelper.write(_out,value);
	}
}
